Bug 193556 - rhel3/rhel4 nfs problems
rhel3/rhel4 nfs problems
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-30 11:08 EDT by Thomas J. Baker
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2006-05-30 11:08:45 EDT
Description of problem:

An up to date RHEL3 client system has problems with nfs to an up to date RHEL4
server. The nfs mounts are automounted. The client system reports "server not
responding" and the user process, like vim, hangs. The client never reports
"server OK" even though the mount seems to recover. A 'df' doesn't hang. But the
process never recovers and two of the four CPUs (two real, two hyperthreaded) go
into near 100% iowait.


Version-Release number of selected component (if applicable):

nfs-utils-1.0.6-43EL
kernel-smp-2.4.21-40.EL

How reproducible:

Happens almost immediately after boot. It has happened as far back as kernel 37.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Other clients have no problems mounting the same directory (it's a users home
directory) from the server but most of the other clients are running RHEL4.
Comment 1 Jeff Layton 2007-07-17 10:18:38 EDT
Sounds like you might have some networking issues. Is this still an issue with
RHEL3U9?
Comment 2 RHEL Product and Program Management 2007-10-19 14:43:42 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.